> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fuseai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Run a people search

> Requires one of the following token scopes: search.



## OpenAPI

````yaml /openapi.json post /business/prospects/search
openapi: 3.1.0
info:
  title: Fuse Business API
  version: 1.0.0
  description: >-
    External API for lists, campaigns, prospect search and contacts.
    Authenticate with your API token as HTTP Basic. All paths are under /api/v1.
servers:
  - url: https://api.tryfuse.ai/api/v1
    description: Production
security:
  - basicAuth: []
tags:
  - name: Lists
  - name: Custom columns
  - name: Exports
  - name: Campaigns
  - name: Knowledge hubs
  - name: Account
  - name: Prospect search
  - name: Saved searches
  - name: Contacts
paths:
  /business/prospects/search:
    post:
      tags:
        - Prospect search
      summary: Run a people search
      description: 'Requires one of the following token scopes: search.'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                filters:
                  type: object
                  properties:
                    industry:
                      type: array
                      items:
                        type: object
                        properties:
                          status:
                            type: string
                            enum:
                              - include
                              - exclude
                          value:
                            type: string
                            maxLength: 500
                          label:
                            type: string
                            maxLength: 500
                        required:
                          - status
                          - value
                      maxItems: 1000
                    job_title_levels:
                      type: array
                      items:
                        type: object
                        properties:
                          status:
                            type: string
                            enum:
                              - include
                              - exclude
                          value:
                            type: string
                            maxLength: 500
                          label:
                            type: string
                            maxLength: 500
                        required:
                          - status
                          - value
                      maxItems: 1000
                    job_title_role:
                      type: array
                      items:
                        type: object
                        properties:
                          status:
                            type: string
                            enum:
                              - include
                              - exclude
                          value:
                            type: string
                            maxLength: 500
                          label:
                            type: string
                            maxLength: 500
                        required:
                          - status
                          - value
                      maxItems: 1000
                    job_title_sub_role:
                      type: array
                      items:
                        type: object
                        properties:
                          status:
                            type: string
                            enum:
                              - include
                              - exclude
                          value:
                            type: string
                            maxLength: 500
                          label:
                            type: string
                            maxLength: 500
                        required:
                          - status
                          - value
                      maxItems: 1000
                    job_company_size:
                      type: array
                      items:
                        type: object
                        properties:
                          status:
                            type: string
                            enum:
                              - include
                              - exclude
                          value:
                            type: string
                            maxLength: 500
                          label:
                            type: string
                            maxLength: 500
                        required:
                          - status
                          - value
                      maxItems: 1000
                    job_company_inferred_revenue:
                      type: array
                      items:
                        type: object
                        properties:
                          status:
                            type: string
                            enum:
                              - include
                              - exclude
                          value:
                            type: string
                            maxLength: 500
                          label:
                            type: string
                            maxLength: 500
                        required:
                          - status
                          - value
                      maxItems: 1000
                    job_company_industry:
                      type: array
                      items:
                        type: object
                        properties:
                          status:
                            type: string
                            enum:
                              - include
                              - exclude
                          value:
                            type: string
                            maxLength: 500
                          label:
                            type: string
                            maxLength: 500
                        required:
                          - status
                          - value
                      maxItems: 1000
                    job_company_location_country:
                      type: array
                      items:
                        type: object
                        properties:
                          status:
                            type: string
                            enum:
                              - include
                              - exclude
                          value:
                            type: string
                            maxLength: 500
                          label:
                            type: string
                            maxLength: 500
                        required:
                          - status
                          - value
                      maxItems: 1000
                    job_company_location_region:
                      type: array
                      items:
                        type: object
                        properties:
                          status:
                            type: string
                            enum:
                              - include
                              - exclude
                          value:
                            type: string
                            maxLength: 500
                          label:
                            type: string
                            maxLength: 500
                        required:
                          - status
                          - value
                      maxItems: 1000
                    job_company_location_continent:
                      type: array
                      items:
                        type: object
                        properties:
                          status:
                            type: string
                            enum:
                              - include
                              - exclude
                          value:
                            type: string
                            maxLength: 500
                          label:
                            type: string
                            maxLength: 500
                        required:
                          - status
                          - value
                      maxItems: 1000
                    experience.company.location.continent:
                      type: array
                      items:
                        type: object
                        properties:
                          status:
                            type: string
                            enum:
                              - include
                              - exclude
                          value:
                            type: string
                            maxLength: 500
                          label:
                            type: string
                            maxLength: 500
                        required:
                          - status
                          - value
                      maxItems: 1000
                    experience.title.levels:
                      type: array
                      items:
                        type: object
                        properties:
                          status:
                            type: string
                            enum:
                              - include
                              - exclude
                          value:
                            type: string
                            maxLength: 500
                          label:
                            type: string
                            maxLength: 500
                        required:
                          - status
                          - value
                      maxItems: 1000
                    experience.title.role:
                      type: array
                      items:
                        type: object
                        properties:
                          status:
                            type: string
                            enum:
                              - include
                              - exclude
                          value:
                            type: string
                            maxLength: 500
                          label:
                            type: string
                            maxLength: 500
                        required:
                          - status
                          - value
                      maxItems: 1000
                    experience.title.sub_role:
                      type: array
                      items:
                        type: object
                        properties:
                          status:
                            type: string
                            enum:
                              - include
                              - exclude
                          value:
                            type: string
                            maxLength: 500
                          label:
                            type: string
                            maxLength: 500
                        required:
                          - status
                          - value
                      maxItems: 1000
                    experience.company.location.country:
                      type: array
                      items:
                        type: object
                        properties:
                          status:
                            type: string
                            enum:
                              - include
                              - exclude
                          value:
                            type: string
                            maxLength: 500
                          label:
                            type: string
                            maxLength: 500
                        required:
                          - status
                          - value
                      maxItems: 1000
                    experience.company.industry:
                      type: array
                      items:
                        type: object
                        properties:
                          status:
                            type: string
                            enum:
                              - include
                              - exclude
                          value:
                            type: string
                            maxLength: 500
                          label:
                            type: string
                            maxLength: 500
                        required:
                          - status
                          - value
                      maxItems: 1000
                    languages.name:
                      type: array
                      items:
                        type: object
                        properties:
                          status:
                            type: string
                            enum:
                              - include
                              - exclude
                          value:
                            type: string
                            maxLength: 500
                          label:
                            type: string
                            maxLength: 500
                        required:
                          - status
                          - value
                      maxItems: 1000
                    location_continent:
                      type: array
                      items:
                        type: object
                        properties:
                          status:
                            type: string
                            enum:
                              - include
                              - exclude
                          value:
                            type: string
                            maxLength: 500
                          label:
                            type: string
                            maxLength: 500
                        required:
                          - status
                          - value
                      maxItems: 1000
                    location_country:
                      type: array
                      items:
                        type: object
                        properties:
                          status:
                            type: string
                            enum:
                              - include
                              - exclude
                          value:
                            type: string
                            maxLength: 500
                          label:
                            type: string
                            maxLength: 500
                        required:
                          - status
                          - value
                      maxItems: 1000
                    location_region:
                      type: array
                      items:
                        type: object
                        properties:
                          status:
                            type: string
                            enum:
                              - include
                              - exclude
                          value:
                            type: string
                            maxLength: 500
                          label:
                            type: string
                            maxLength: 500
                        required:
                          - status
                          - value
                      maxItems: 1000
                    education.degrees:
                      type: array
                      items:
                        type: object
                        properties:
                          status:
                            type: string
                            enum:
                              - include
                              - exclude
                          value:
                            type: string
                            maxLength: 500
                          label:
                            type: string
                            maxLength: 500
                        required:
                          - status
                          - value
                      maxItems: 1000
                    experience.company.type:
                      type: array
                      items:
                        type: object
                        properties:
                          status:
                            type: string
                            enum:
                              - include
                              - exclude
                          value:
                            type: string
                            maxLength: 500
                          label:
                            type: string
                            maxLength: 500
                        required:
                          - status
                          - value
                      maxItems: 1000
                    job_company_name:
                      anyOf:
                        - type: string
                          maxLength: 500
                        - type: array
                          items:
                            anyOf:
                              - type: string
                                maxLength: 500
                              - type: object
                                properties:
                                  status:
                                    type: string
                                    enum:
                                      - include
                                      - exclude
                                  value:
                                    type: string
                                    maxLength: 500
                                  label:
                                    type: string
                                    maxLength: 500
                                required:
                                  - status
                                  - value
                          maxItems: 1000
                    job_company_website:
                      anyOf:
                        - type: string
                          maxLength: 500
                        - type: array
                          items:
                            anyOf:
                              - type: string
                                maxLength: 500
                              - type: object
                                properties:
                                  status:
                                    type: string
                                    enum:
                                      - include
                                      - exclude
                                  value:
                                    type: string
                                    maxLength: 500
                                  label:
                                    type: string
                                    maxLength: 500
                                required:
                                  - status
                                  - value
                          maxItems: 1000
                    full_name:
                      anyOf:
                        - type: string
                        - type: number
                        - type: boolean
                        - type: array
                          items:
                            type: string
                    first_name:
                      anyOf:
                        - type: string
                        - type: number
                        - type: boolean
                        - type: array
                          items:
                            type: string
                    last_name:
                      anyOf:
                        - type: string
                        - type: number
                        - type: boolean
                        - type: array
                          items:
                            type: string
                    sex:
                      anyOf:
                        - type: string
                        - type: number
                        - type: boolean
                        - type: array
                          items:
                            type: string
                    work_email:
                      anyOf:
                        - type: string
                        - type: number
                        - type: boolean
                        - type: array
                          items:
                            type: string
                    mobile_phone:
                      anyOf:
                        - type: string
                        - type: number
                        - type: boolean
                        - type: array
                          items:
                            type: string
                    personal_emails:
                      anyOf:
                        - type: string
                        - type: number
                        - type: boolean
                        - type: array
                          items:
                            type: string
                    job_title:
                      anyOf:
                        - type: string
                        - type: number
                        - type: boolean
                        - type: array
                          items:
                            type: string
                    job_company_location_name:
                      anyOf:
                        - type: string
                        - type: number
                        - type: boolean
                        - type: array
                          items:
                            type: string
                    location_name:
                      anyOf:
                        - type: string
                        - type: number
                        - type: boolean
                        - type: array
                          items:
                            type: string
                    linkedin_url:
                      anyOf:
                        - type: string
                        - type: number
                        - type: boolean
                        - type: array
                          items:
                            type: string
                    github_url:
                      anyOf:
                        - type: string
                        - type: number
                        - type: boolean
                        - type: array
                          items:
                            type: string
                    github_username:
                      anyOf:
                        - type: string
                        - type: number
                        - type: boolean
                        - type: array
                          items:
                            type: string
                    facebook_url:
                      anyOf:
                        - type: string
                        - type: number
                        - type: boolean
                        - type: array
                          items:
                            type: string
                    education.school.name:
                      anyOf:
                        - type: string
                        - type: number
                        - type: boolean
                        - type: array
                          items:
                            type: string
                    experience.title.name:
                      anyOf:
                        - type: string
                        - type: number
                        - type: boolean
                        - type: array
                          items:
                            type: string
                    experience.company.name:
                      anyOf:
                        - type: string
                        - type: number
                        - type: boolean
                        - type: array
                          items:
                            type: string
                    experience.company.website:
                      anyOf:
                        - type: string
                        - type: number
                        - type: boolean
                        - type: array
                          items:
                            type: string
                    job_start_date:
                      anyOf:
                        - type: string
                        - type: number
                        - type: boolean
                        - type: array
                          items:
                            type: string
                    skills:
                      anyOf:
                        - type: string
                        - type: number
                        - type: boolean
                        - type: array
                          items:
                            type: string
                    certifications.name:
                      anyOf:
                        - type: string
                        - type: number
                        - type: boolean
                        - type: array
                          items:
                            type: string
                    experience.company.location.name:
                      anyOf:
                        - type: string
                        - type: number
                        - type: boolean
                        - type: array
                          items:
                            type: string
                    keywords:
                      type: array
                      items:
                        type: string
                    rangeInputs:
                      type: object
                      properties:
                        job_company_employee_count:
                          type: object
                          properties:
                            min:
                              type: number
                            max:
                              type: number
                        inferred_years_experience:
                          type: object
                          properties:
                            min:
                              type: number
                            max:
                              type: number
                        job_company_total_funding_raised:
                          type: object
                          properties:
                            min:
                              type: number
                            max:
                              type: number
                size:
                  type: integer
                  minimum: 1
                  maximum: 100
                  default: 10
                scrollToken:
                  type: string
                linkedinUrl:
                  type: string
      responses:
        '200':
          description: Success
          headers:
            RateLimit-Limit:
              schema:
                type: integer
              description: Requests permitted in the current window.
            RateLimit-Remaining:
              schema:
                type: integer
              description: Requests remaining in the current window.
            RateLimit-Reset:
              schema:
                type: integer
              description: Seconds until the current window resets.
          content:
            application/json:
              schema:
                type: object
              example:
                profiles:
                  - firstName: Ada
                    lastName: Nwosu
                    jobTitle: Chief Financial Officer
                    companyName: Brightpay
                    linkedinUrl: https://www.linkedin.com/in/ada-nwosu
                scrollToken: eyJwYWdlIjoyfQ
        '400':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '409':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '422':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - basicAuth: []
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
            param:
              type:
                - string
                - 'null'
            doc_url:
              type:
                - string
                - 'null'
            request_id:
              type:
                - string
                - 'null'
          required:
            - code
            - message
      required:
        - error
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Your API token (`af_…`) as the Basic-auth username, with an empty
        password.

````